Moving from PHP 5.2 to PHP 5.5 Problem

Get help with installation and running phpBB 3.0.x here. Please do not post bug reports, feature requests, or MOD-related questions here.
Suggested Hosts
Forum rules
END OF SUPPORT: 1 January 2017 (announcement)
Locked
rivermatty
Registered User
Posts: 4
Joined: Thu Sep 18, 2014 11:03 am

Moving from PHP 5.2 to PHP 5.5 Problem

Post by rivermatty »

Support Request Template
What version of phpBB are you using? phpBB 3.0.12
What is your board's URL? http://forum.arthurlloyd.co.uk/index.php
Who do you host your board with? 1 and 1
How did you install your board? I used a tool provided by my host
What is the most recent action performed on your board? Please select your answer
Is registration required to reproduce this issue? No
Do you have any MODs installed? No
What styles do you currently have installed? prosilver
What language(s) is your board currently using? english
Which database type/version are you using? MySQL 5
What is your level of experience? New to PHP but not phpBB
When did your problem begin? After My Host asked me to move from PHP 5.2 to 5.5
Please describe your problem. My site is hosted by 1 and 1 and they recently asked me to move from php 5.2 to 5.5 which I did, but after moving to php 5.5 my Forum no longer worked and I just got an Error 500 page in the browser instead of the Forum. If I revert back to php 5.2 everything works again, which is what I have done until I can find a fix. Any help very much appreciated as I will have to pay a monthly fee if I want to keep the 5.2 version of php for my forum. Please note I am not very knowledgeable with php and only really know how to change the version on my hosts site and nothing else.
Generated by SRT Generator

Many Thanks in advance for any help, Matthew.

User avatar
Oyabun1
Former Team Member
Posts: 23162
Joined: Sun May 17, 2009 1:05 pm
Location: Australia
Name: Bill

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by Oyabun1 »

                      Support Request Template
3.0.x: Knowledge Base Styles Support MOD Requests
3.1.x: Knowledge BaseStyles SupportExtension Requests

rivermatty
Registered User
Posts: 4
Joined: Thu Sep 18, 2014 11:03 am

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by rivermatty »

Thanks for your reply, I had already contacted 1 and 1 and been told it was my problem, but having read the other chap's message in the link you gave me I rang 1 and 1 again and this time they were able to help. They fixed the problem and sent me the following message:

The error was related to the php.ini files inside the forum folders. Some of the directives in the php.ini files are deprecated in the latest versions of PHP. I removed all the php.ini files, and successfully changed the PHP version of your forum site to 5.5.16.

What this means I'm really not sure but it has solved the problem so thanks for your help.

It would be helpful if there was a knowledge base article about this problem at PHPBB because I suspect there will be many others running into this situation now that 1 and 1 are making people upgrade to php 5.5.

Matthew.

User avatar
Lumpy Burgertushie
Registered User
Posts: 67227
Joined: Mon May 02, 2005 3:11 am
Contact:

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by Lumpy Burgertushie »

that is strange considering there are no php.ini files in phpbb at all unless you put them there for some reason. ( or someone else did )

php.ini are usually server files that are part of the server software. in many cases on many hosts you are not even allowed to put your own php.ini configuration files on the server.


robert
I'm baaaaaccckkkk. still doing work on donation basis. PM your needs.

Premium phpBB 3.3 Styles by PlanetStyles.net

If nobody is in the forest, does a tree really fall?

cleverwise
Registered User
Posts: 37
Joined: Fri Feb 28, 2014 10:55 pm
Location: Atlanta, GA
Name: Jeremy

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by cleverwise »

Some hosts, especially when running CloudLinux, allow for PHP versions and settings to be set on each local account. Thus you can mix and match PHP versions running on a server. I have seen this before.
Respectfully,
Jeremy

DevOPs - Linux Admin, PHP Developer, Oracle DBA OCP Training
Display phpBB statistics on WordPress (Read more...)

rivermatty
Registered User
Posts: 4
Joined: Thu Sep 18, 2014 11:03 am

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by rivermatty »

That's good to hear actually as I was worried that if I updated my PHPBB Forum version in the future this mod that 1 and 1 have done would need to be done again. I have several websites running on my account and I can choose which version of PHP I use for each domain so I guess it must be a PHP.ini file to do with my account that they changed rather than something within PHPBB itself as I certainly haven't added anything like that to my instalation.

cleverwise
Registered User
Posts: 37
Joined: Fri Feb 28, 2014 10:55 pm
Location: Atlanta, GA
Name: Jeremy

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by cleverwise »

Yeah a system like CloudLinux does allow easy changing of PHP from account to account or even domain to domain. This even allows for php.ini changes which is very cool as it is much like have a VPS, cloud, or dedicated server. Your settings should hold until you either modify them or your host forces a mass change of PHP.

This happened to a board I help maintain. The site owner's hosting company allowed one to choose which version of PHP for the domain but eventually said they were retiring PHP 5.2 and thus forced every account to use at least 5.4. This broke phpnuke which IMO isn't a very good application.

However if you are on PHP 5.5 you should be okay for quite some time. If you have a need to maintain an older version of any software that is when it is time to look into VPS or cloud hosting (the new term used for VPS).
Respectfully,
Jeremy

DevOPs - Linux Admin, PHP Developer, Oracle DBA OCP Training
Display phpBB statistics on WordPress (Read more...)

rivermatty
Registered User
Posts: 4
Joined: Thu Sep 18, 2014 11:03 am

Re: Moving from PHP 5.2 to PHP 5.5 Problem

Post by rivermatty »

I hope you're right as I haven't long set up the Forum on my site and I have it just how I want it so I was dredding having to do it all again. But like you say now I'm on php 5.5 that should last a while. Many Thanks for all your help and information. The PHPBB community are very helpful and the software is really adaptable, all great stuff.

Regards, Matthew.

Locked

Return to “[3.0.x] Support Forum”